# WbResource

open class WbResource : WbModuleEntry

A wtp descriptor resource entry.

## Constructors

WbResource
Link copied to clipboard
constructor(node: Node)
constructor(deployPath: String, sourcePath: String)

## Properties

deployPath
Link copied to clipboard
open var deployPath: String
sourcePath
Link copied to clipboard
open var sourcePath: String

## Functions

appendNode
Link copied to clipboard
open fun appendNode(node: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
hashCode
Link copied to clipboard
open fun hashCode(): Int
toString
Link copied to clipboard
open fun toString(): String